Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.cataloguemanager.model
Class Extent

    java.lang.Object
      org.deegree.portal.cataloguemanager.model.Extent

    public class Extent

extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element ref="{http://www.isotc211.org/2005/gmd}EX_Extent"/>
             <element ref="{http://www.opengis.net/gml}TimePeriod"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected EXExtent` | `exExtent`
`protected TimePeriod` | `timePeriod`

Constructor Summary
`Extent()`

Method Summary
`EXExtent` | `getEXExtent()` Gets the value of the exExtent property.
`TimePeriod` | `getTimePeriod()` Gets the value of the timePeriod property.
`void` | `setEXExtent(EXExtent value)` Sets the value of the exExtent property.
`void` | `setTimePeriod(TimePeriod value)` Sets the value of the timePeriod property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### exExtent

    protected EXExtent exExtent

### timePeriod

    protected TimePeriod timePeriod

Constructor Detail

### Extent

    public Extent()

Method Detail

### getEXExtent

    public EXExtent getEXExtent()

  Gets the value of the exExtent property.

  Returns:
    possible object is `EXExtent`

### setEXExtent

    public void setEXExtent(EXExtent value)

  Sets the value of the exExtent property.

  Parameters:
    `value` - allowed object is `EXExtent`

### getTimePeriod

    public TimePeriod getTimePeriod()

  Gets the value of the timePeriod property.

  Returns:
    possible object is `TimePeriod`

### setTimePeriod

    public void setTimePeriod(TimePeriod value)

  Sets the value of the timePeriod property.

  Parameters:
    `value` - allowed object is `TimePeriod`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org